const STEEL_INGOTS = [
    'create_ironworks:steel_ingot',
    'createnuclear:steel_ingot',
    'tfmg:steel_ingot'
]

const STEEL_NUGGETS = [
    'create_ironworks:steel_nugget'
]

const SULPHUR_DUST = [
    'scguns:sulfur_dust'
]

const LEAD_INGOTS = [
    'oreganized:lead_ingot'
]

const COAL_DUST = [
    'createnuclear:coal_dust'
]

const REMOVED_RECIPES = [
    'create_cogs_invaders:deepslate_sulfur_ore',
    'create_cogs_invaders:powdered_sulfur',
    'create_cogs_invaders:raw_sulfur_block',
    'create_cogs_invaders:sulfur_ore',
    
    'create_ironworks:_paxel',
    'create_ironworks:crushed_raw_tin',
    'createnuclear:coal_dust',
    'createnuclear:reactor_controller',
    'createnuclear:steel_block',
    'scguns:sulfur_chunk',
    'vintage:sulphur',
    /^chunkloaders:\w+/,
    /^create:crushed_raw_\w+/,
    /^create_ironworks:(copper|bronze|brass|gold|iron)_paxel$/,
    /^createnuclear:reactor_\w+/,
    /^vintage:(?!zinc_rod|iron_spring|vanadium_ingot)\w+_(spring|wire|sheet|rod|ingot)$/,
]



ServerEvents.recipes(event => {
    STEEL_INGOTS.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'createmetallurgy:steel_ingot');
    })

    STEEL_NUGGETS.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'createnuclear:steel_nugget');
    })

    SULPHUR_DUST.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'alexscaves:sulfur_dust');
    })

    LEAD_INGOTS.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'createnuclear:lead_ingot');
    })

    COAL_DUST.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'create_ironworks:coal_dust');
    })

    REMOVED_RECIPES.forEach(id => {
        event.remove({ input: id })
        event.remove({ output: id })
    })



    event.remove({ input: 'createmetallurgy:obdurium_block' })



    // Iron to Steel inputs
    event.replaceInput({mod: 'scguns'}, 'minecraft:iron_ingot', '#forge:ingots/steel')
    event.replaceInput({mod: 'alexscaves'}, 'minecraft:iron_ingot', '#forge:ingots/steel')
    event.replaceInput({mod: 'protection_pixel'}, 'minecraft:iron_ingot', '#forge:ingots/steel')
    event.replaceInput({mod: 'immersive_aircraft'}, 'minecraft:iron_ingot', '#forge:ingots/steel')
    event.replaceInput({mod: 'immersive_aircraft'}, 'create:iron_sheet', '#forge:plates/steel')
});